> ## Documentation Index
> Fetch the complete documentation index at: https://laminar.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the current project

> Returns the project ID associated with the supplied API key.



## OpenAPI

````yaml /openapi/openapi.yaml get /v1/project
openapi: 3.1.0
info:
  title: Laminar API
  version: 1.0.0
  description: Public HTTP API for ingesting and managing data in a Laminar project.
  license:
    name: Apache 2.0
    identifier: Apache-2.0
servers:
  - url: https://api.lmnr.ai
    description: Laminar Cloud
security:
  - projectApiKey: []
tags:
  - name: Ingestion
    description: Send telemetry data to Laminar.
  - name: Traces
    description: Update trace data after ingestion.
  - name: SQL
    description: Query project data with read-only SQL.
  - name: Projects
    description: Resolve project information.
  - name: Datasets
    description: Read datasets and add datapoints.
  - name: Evaluations
    description: Create evaluation runs and record their results.
  - name: Labeling queues
    description: Add items to labeling queues.
  - name: Signals
    description: Manage automated evaluations of project traces.
  - name: LLM profiles
    description: Configure workspace LLM credentials and models for self-hosted Signals.
paths:
  /v1/project:
    get:
      tags:
        - Projects
      summary: Get the current project
      description: Returns the project ID associated with the supplied API key.
      operationId: getCurrentProject
      responses:
        '200':
          description: Current project.
          content:
            application/json:
              schema:
                type: object
                required:
                  - projectId
                properties:
                  projectId:
                    $ref: '#/components/schemas/Uuid'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    Uuid:
      type: string
      format: uuid
  responses:
    Unauthorized:
      description: Missing or invalid API key.
  securitySchemes:
    projectApiKey:
      type: http
      scheme: bearer
      bearerFormat: Project API key
      description: A Laminar project API key.

````